diff -uNr mythtv-0.21/i18n/mythfrontend_he.ts mythtv/i18n/mythfrontend_he.ts
--- mythtv-0.21/i18n/mythfrontend_he.ts	2008-03-04 04:48:46.000000000 +0100
+++ mythtv/i18n/mythfrontend_he.ts	2008-03-21 10:27:07.000000000 +0100
@@ -7624,27 +7634,27 @@
     </message>
     <message>
         <source>There&apos;s no guide data available!</source>
-        <translation type="unfinished"></translation>
+        <translation>אין בנמצא לוח שידורים</translation>
     </message>
     <message>
         <source>Have you run mythfilldatabase?</source>
-        <translation>Have you run mythfilldatabase?</translation>
+        <translation>האם הפעלת את mythfilldatabase ?</translation>
     </message>
     <message>
         <source>There is guide data until </source>
-        <translation type="unfinished"></translation>
+        <translation>נתקבל לוח שידורים עד </translation>
     </message>
     <message>
         <source>days</source>
-        <translation>days</translation>
+        <translation>ימים</translation>
     </message>
     <message>
         <source>day</source>
-        <translation>day</translation>
+        <translation>יום</translation>
     </message>
     <message>
         <source>WARNING: is mythfilldatabase running?</source>
-        <translation>WARNING: is mythfilldatabase running?</translation>
+        <translation>זהירות: האם mythfilldatabase בפעולה?</translation>
     </message>
     <message>
         <source>DataDirect Status: </source>
@@ -7652,7 +7662,7 @@
     </message>
     <message>
         <source>No items found at priority level %1 or lower.</source>
-        <translation type="unfinished"></translation>
+        <translation>לא נמצאו פריטים ברמת חשיבות %1 או נמוכה יותר.</translation>
     </message>
     <message>
         <source>Use 1-8 to change priority level.</source>
@@ -7664,55 +7674,55 @@
     </message>
     <message>
         <source>%1 total, %2 used, %3 (or %4%) free.</source>
-        <translation>%1 בסיכובסיכום, %2 בשימוש, %3 (או %4%) פנוי.</translation>
+        <translation>%1 בסיכום, %2 בשימוש, %3 (או %4%) פנוי.</translation>
     </message>
     <message>
         <source>, using your %1 rate of %2 Kb/sec</source>
-        <translation>, using your %1 rate of %2 Kb/sec</translation>
+        <translation>, בשימוש בקצב %1 של %2 Kb/sec</translation>
     </message>
     <message>
         <source>%1 hours left</source>
-        <translation>%1 hours left</translation>
+        <translation>נשארו %1 שעות</translation>
     </message>
     <message>
         <source>%1 hours and %2 minutes left</source>
-        <translation type="unfinished"></translation>
+        <translation>נשארו %1 שעות ו%2 דקות</translation>
     </message>
     <message>
         <source>%1 minutes left</source>
-        <translation type="unfinished"></translation>
+        <translation>נשארו %1 דקות</translation>
     </message>
     <message>
         <source>Uptime</source>
-        <translation>Uptime</translation>
+        <translation>זמן בפעולה</translation>
     </message>
     <message>
         <source>average</source>
-        <translation>average</translation>
+        <translation>ממוצא</translation>
     </message>
     <message>
         <source>maximum</source>
-        <translation>maximum</translation>
+        <translation>מירבי</translation>
     </message>
     <message>
         <source>System</source>
-        <translation>System</translation>
+        <translation>מערכת</translation>
     </message>
     <message>
         <source>This machine</source>
-        <translation>This machine</translation>
+        <translation>מכונה זו</translation>
     </message>
     <message>
         <source>Load</source>
-        <translation>Load</translation>
+        <translation>עומס</translation>
     </message>
     <message>
         <source>unknown</source>
-        <translation>unknown</translation>
+        <translation>לא ידוע</translation>
     </message>
     <message>
         <source>failed</source>
-        <translation>failed</translation>
+        <translation>נכשל</translation>
     </message>
     <message>
         <source>RAM</source>
@@ -7724,7 +7734,7 @@
     </message>
     <message>
         <source>MythTV server</source>
-        <translation>MythTV server</translation>
+        <translation>שרת MythTV</translation>
     </message>
     <message>
         <source>Enter the IP address of this machine.  Use an externally accessible address (ie, not 127.0.0.1) if you are going to be running a frontend on a different machine than this one.</source>
@@ -8490,23 +8500,23 @@
     </message>
     <message>
         <source>Other Showing</source>
-        <translation type="unfinished"></translation>
+        <translation>מופעים אחרים</translation>
     </message>
     <message>
         <source>the recorder failed to record.</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלטה נכשלה.</translation>
     </message>
     <message>
         <source>this recording rule is inactive.</source>
-        <translation type="unfinished"></translation>
+        <translation>הוראת הקלטה זו אינה פעילה.</translation>
     </message>
     <message>
         <source>this rule does not match any showings in the current program listings.</source>
-        <translation type="unfinished"></translation>
+        <translation>הראות הקלטה זו אינה תואמת לאף שידור בלוח התוכניות.</translation>
     </message>
     <message>
         <source>this episode will be recorded on a different channel in this time slot.</source>
-        <translation type="unfinished"></translation>
+        <translation>פרק זה יוקלט בערוץ אחר בזמן השידור.</translation>
     </message>
     <message>
         <source>Mono</source>
@@ -8672,39 +8682,39 @@
     </message>
     <message>
         <source>Include in the &quot;%1&quot; recording group</source>
-        <translation type="unfinished"></translation>
+        <translation>צרף בקבוצת הקלטה &quot;%1&quot;</translation>
     </message>
     <message>
         <source>Exclude unidentified episodes</source>
-        <translation type="unfinished">הוצא פרקים בלתי מזוהים</translation>
+        <translation>הוצא פרקים בלתי מזוהים</translation>
     </message>
     <message>
         <source>Exclude old episodes</source>
-        <translation type="unfinished"></translation>
+        <translation>הוצא פרקים ישנים</translation>
     </message>
     <message>
         <source>Record new episode first showings</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלטת שידור ראשון של פרקים חדשים</translation>
     </message>
     <message>
         <source>Match duplicates using subtitle then description</source>
-        <translation type="unfinished"></translation>
+        <translation>התאם כפילויות עם כתוביות ואז תאור מפורט</translation>
     </message>
     <message>
         <source>This recording rule is inactive</source>
-        <translation type="unfinished"></translation>
+        <translation>הוראת הקלטה זו אינה פעילה</translation>
     </message>
     <message>
         <source>This recording rule is active</source>
-        <translation type="unfinished"></translation>
+        <translation>הוראת הקלטה זו פעילה</translation>
     </message>
     <message>
         <source>Select Storage Group</source>
-        <translation type="unfinished"></translation>
+        <translation>בחר קבוצת איכסון</translation>
     </message>
     <message>
         <source>Store in the &quot;%1&quot; storage group</source>
-        <translation type="unfinished"></translation>
+        <translation>שמור בקבוצת איכסון &quot;%1&quot;</translation>
     </message>
     <message>
         <source>LiveTV</source>
@@ -9442,7 +9452,7 @@
     </message>
     <message>
         <source>mythfilldatabase ran, but did not insert any new data into the Guide for %1 of %2 sources. This can indicate a potential grabber failure.</source>
-        <translation type="unfinished"></translation>
+        <translation>mythfilldatabase הופעל אך לא הכניס מידע חדש עבור %1 מ %2 מקורות. יתכן וזה מסמן תקלה במייבא לוח השידורים.</translation>
     </message>
     <message>
         <source>Max Audio Channels</source>
@@ -9473,10 +9483,6 @@
         <translation type="unfinished"></translation>
     </message>
     <message>
-        <source>Set the audio upmix type for 2ch to 6ch conversion. This is for multi-channel/surround audio playback.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <source>Run commercial flagger</source>
         <translation type="unfinished"></translation>
     </message>
@@ -10113,39 +10119,39 @@
     </message>
     <message>
         <source>Play from bookmark</source>
-        <translation type="unfinished"></translation>
+        <translation>נגן מהסימניה</translation>
     </message>
     <message>
         <source>Play from beginning</source>
-        <translation type="unfinished">Play from beginning</translation>
+        <translation>נגן מהתחלה</translation>
     </message>
     <message>
         <source>The file for this recording is empty.</source>
-        <translation type="unfinished"></translation>
+        <translation>הקובץ של הקלטה זו ריק.</translation>
     </message>
     <message>
         <source>This recording is not yet available.</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלטה זו אינה זמינה עדיין.</translation>
     </message>
     <message>
         <source>Schedule Status</source>
-        <translation type="unfinished"></translation>
+        <translation>מצב תזמון הקלטות</translation>
     </message>
     <message>
         <source>Schedule Status shows current statistics from the scheduler.</source>
-        <translation type="unfinished"></translation>
+        <translation>מצב תזמון הקלטות מראה נתוני מתזמן הקלטות</translation>
     </message>
     <message>
         <source>Move to Default group</source>
-        <translation type="unfinished"></translation>
+        <translation>העבר לקבוצת ברירת המחדל</translation>
     </message>
     <message>
         <source>Undelete</source>
-        <translation type="unfinished"></translation>
+        <translation>בטל מחיקה</translation>
     </message>
     <message>
         <source>Total Disk Space:</source>
-        <translation type="unfinished"></translation>
+        <translation>שטח דיסק כולל:</translation>
     </message>
     <message>
         <source>MythTV Drive #%1:</source>
@@ -10305,6 +10311,10 @@
         <source>The format of the time string passed to the &apos;Set Wakeup Time Command&apos; as $time. See QT::QDateTime.toString() for details. Set to &apos;time_t&apos; for seconds since epoch (use time_t for nvram_wakeup).</source>
         <translation type="unfinished"></translation>
     </message>
+    <message>
+        <source>Set the audio upmix type for 2ch to 6ch conversion. This is for multi-channel/surround audio playback. &apos;Passive&apos; is the least demanding on the CPU. &apos;Active Simple&apos; is more demanding and &apos;Active Linear&apos; is the most demanding (but highest quality).</source>
+        <translation type="unfinished"></translation>
+    </message>
 </context>
 <context>
     <name>RecOptDialog</name>
@@ -10567,23 +10577,23 @@
     </message>
     <message>
         <source>is unavailable</source>
-        <translation>is unavailable</translation>
+        <translation>לא זמין</translation>
     </message>
     <message>
         <source>is watching live TV</source>
-        <translation>is watching live TV</translation>
+        <translation>משמש לצפיה</translation>
     </message>
     <message>
         <source>is recording</source>
-        <translation>is recording</translation>
+        <translation>מקליט כרגע</translation>
     </message>
     <message>
         <source>is not recording</source>
-        <translation>is not recording</translation>
+        <translation>אינו מקליט</translation>
     </message>
     <message>
         <source>Tuner %1 </source>
-        <translation>טונר %1 </translation>
+        <translation>טיונר %1 </translation>
     </message>
     <message>
         <source>On %1 %2 from %3.%4
@@ -10623,31 +10633,31 @@
     </message>
     <message>
         <source>standard rules are defined</source>
-        <translation type="unfinished"></translation>
+        <translation>חוקים רגילים מוגדרים</translation>
     </message>
     <message>
         <source>search rules are defined</source>
-        <translation type="unfinished"></translation>
+        <translation>חוקי חיפוש מוגדרים</translation>
     </message>
     <message>
         <source>marked as HDTV</source>
-        <translation type="unfinished"></translation>
+        <translation>מסומן כHDTV</translation>
     </message>
     <message>
         <source>from source</source>
-        <translation type="unfinished"></translation>
+        <translation>ממקור</translation>
     </message>
     <message>
         <source>on input</source>
-        <translation type="unfinished"></translation>
+        <translation>בכניסה</translation>
     </message>
     <message>
         <source>Scheduled Run Time:</source>
-        <translation type="unfinished"></translation>
+        <translation>זמן ריצה מתוכנן:</translation>
     </message>
     <message>
         <source>%1 of these are Deleted and consume %2</source>
-        <translation type="unfinished"></translation>
+        <translation>%1 כאלו נמחקו וצרכו %2</translation>
     </message>
 </context>
 <context>
@@ -10729,23 +10739,23 @@
     <name>TV</name>
     <message>
         <source>Record and watch while it records</source>
-        <translation>Record and watch while it records</translation>
+        <translation>הקלט וצפה תוך כדי הקלטה</translation>
     </message>
     <message>
         <source>Let it record and go back to the Main Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>המשך להקליט וחזור לתפריט ראשי</translation>
     </message>
     <message>
         <source>Don&apos;t let it record, I want to watch TV</source>
-        <translation type="unfinished"></translation>
+        <translation>הפסק להקליט, אני רוצה לראות טלוויזיה</translation>
     </message>
     <message>
         <source>%1 Settings</source>
-        <translation>%1 Settings</translation>
+        <translation>הגדרות %1</translation>
     </message>
     <message>
         <source>Seek:</source>
-        <translation>Seek:</translation>
+        <translation>חפש :</translation>
     </message>
     <message>
         <source>Forward</source>
@@ -10757,7 +10767,7 @@
     </message>
     <message>
         <source>Rewind</source>
-        <translation>Rewind</translation>
+        <translation>חזור</translation>
     </message>
     <message>
         <source>Skip Back</source>
@@ -10777,7 +10787,7 @@
     </message>
     <message>
         <source>Jump to Beginning</source>
-        <translation type="unfinished"></translation>
+        <translation>דלג לתחילה</translation>
     </message>
     <message>
         <source>You are exiting this recording</source>
@@ -10849,11 +10859,11 @@
     </message>
     <message>
         <source>Rewind %1X</source>
-        <translation>Rewind %1X</translation>
+        <translation>אחורה %1X</translation>
     </message>
     <message>
         <source>Stopping Transcode</source>
-        <translation type="unfinished"></translation>
+        <translation>עצור קידוד</translation>
     </message>
     <message>
         <source>Transcoding</source>
@@ -10861,11 +10871,11 @@
     </message>
     <message>
         <source>Try Again</source>
-        <translation>Try Again</translation>
+        <translation>נסה שוב</translation>
     </message>
     <message>
         <source>Searching...</source>
-        <translation>Searching...</translation>
+        <translation>מחפש...</translation>
     </message>
     <message>
         <source>Skip</source>
@@ -10890,15 +10900,15 @@
     </message>
     <message>
         <source>Partial Lock</source>
-        <translation>Partial Lock</translation>
+        <translation>נעילה חלקית</translation>
     </message>
     <message>
         <source>No Lock</source>
-        <translation type="unfinished"></translation>
+        <translation>ללא נעילה</translation>
     </message>
     <message>
         <source>Lock</source>
-        <translation>Lock</translation>
+        <translation>נעילה</translation>
     </message>
     <message>
         <source>Signal %1%</source>
@@ -10943,7 +10953,7 @@
     </message>
     <message>
         <source>Audio Resync</source>
-        <translation>Audio Resync</translation>
+        <translation>סנכרון קול מחדש</translation>
     </message>
     <message>
         <source>Audio Sync</source>
@@ -10955,19 +10965,19 @@
     </message>
     <message>
         <source>Mute Off</source>
-        <translation type="unfinished"></translation>
+        <translation>בטל השתקה</translation>
     </message>
     <message>
         <source>Mute On</source>
-        <translation>Mute On</translation>
+        <translation>השתקת קול</translation>
     </message>
     <message>
         <source>Left Channel Muted</source>
-        <translation type="unfinished"></translation>
+        <translation>השתקת ערוץ שמאל</translation>
     </message>
     <message>
         <source>Right Channel Muted</source>
-        <translation type="unfinished"></translation>
+        <translation>השתקת ערוץ ימין</translation>
     </message>
     <message>
         <source>Sleep </source>
@@ -11015,15 +11025,15 @@
     </message>
     <message>
         <source>Continue Editing</source>
-        <translation>Continue Editing</translation>
+        <translation>המשך בעריכה</translation>
     </message>
     <message>
         <source>Do not edit</source>
-        <translation>Do not edit</translation>
+        <translation>אל תערוך</translation>
     </message>
     <message>
         <source>Channel Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>עורך ערוצים</translation>
     </message>
     <message>
         <source>Callsign</source>
@@ -11055,23 +11065,23 @@
     </message>
     <message>
         <source>Picture-in-Picture</source>
-        <translation>Picture-in-Picture</translation>
+        <translation>תמונה בתוך תמונה</translation>
     </message>
     <message>
         <source>Enable/Disable</source>
-        <translation>Enable/Disable</translation>
+        <translation>אפשור/מניעה</translation>
     </message>
     <message>
         <source>Swap PiP/Main</source>
-        <translation>Swap PiP/Main</translation>
+        <translation>החלף תמונת חלון/ראשי</translation>
     </message>
     <message>
         <source>Change Active Window</source>
-        <translation>Change Active Window</translation>
+        <translation>שנה חלון פעיל</translation>
     </message>
     <message>
         <source>Enable Browse Mode</source>
-        <translation>Enable Browse Mode</translation>
+        <translation>אפשר מצב סיור</translation>
     </message>
     <message>
         <source>Previous Channel</source>
@@ -11079,7 +11089,7 @@
     </message>
     <message>
         <source>DVD Root Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>תפריט DVD ראשי</translation>
     </message>
     <message>
         <source>Edit Recording</source>
@@ -11254,7 +11264,7 @@
     </message>
     <message>
         <source>Detect</source>
-        <translation>Detect</translation>
+        <translation>זהה</translation>
     </message>
     <message>
         <source>Progressive</source>
@@ -11278,23 +11288,23 @@
     </message>
     <message>
         <source>Select Audio Track</source>
-        <translation>Select Audio Track</translation>
+        <translation>בחר ערוץ שמע</translation>
     </message>
     <message>
         <source>Select Subtitle</source>
-        <translation>Select Subtitle</translation>
+        <translation>בחר כתוביות</translation>
     </message>
     <message>
         <source>Select VBI CC</source>
-        <translation>Select VBI CC</translation>
+        <translation>בחר VBI CC</translation>
     </message>
     <message>
         <source>Select ATSC CC</source>
-        <translation>Select ATSC CC</translation>
+        <translation>בחר ATSC CC</translation>
     </message>
     <message>
         <source>Select DVB CC</source>
-        <translation>Select DVB CC</translation>
+        <translation>בחר DVB CC</translation>
     </message>
     <message>
         <source>Toggle On/Off</source>
@@ -11318,35 +11328,35 @@
     </message>
     <message>
         <source>MythTV is already using all available inputs for the channel you selected. If you want to watch an in-progress recording, select one from the playback menu.  If you want to watch live TV, cancel one of the in-progress recordings from the delete menu.</source>
-        <translation type="unfinished"></translation>
+        <translation>התוכנה משתמשת בכל הכניסות האפשריות לערוץ שבחרת. אם ברצונך לצפות בהקלטה פעילה, בחר בה מתוך תפריט צפיה בהקלטות.(sp)(sp) אם ברצונך לצפות בשידור חי, בטל את אחת ההקלטות מתפריט המחיקה.</translation>
     </message>
     <message>
         <source>Skip Back Not Allowed</source>
-        <translation type="unfinished"></translation>
+        <translation>דילוג אחורה אינו מותר</translation>
     </message>
     <message>
         <source>Previous Chapter</source>
-        <translation>Previous Chapter</translation>
+        <translation>פרק קודם</translation>
     </message>
     <message>
         <source>Previous Title</source>
-        <translation>Previous Title</translation>
+        <translation>כותרת קודמת</translation>
     </message>
     <message>
         <source>Skip Still Frame</source>
-        <translation type="unfinished"></translation>
+        <translation>דלג תמונה בודדת</translation>
     </message>
     <message>
         <source>Next Chapter</source>
-        <translation>Next Chapter</translation>
+        <translation>פרק הבא</translation>
     </message>
     <message>
         <source>Next Title</source>
-        <translation>Next Title</translation>
+        <translation>כותרת הבאה</translation>
     </message>
     <message>
         <source>Exit</source>
-        <translation type="unfinished">Exit</translation>
+        <translation>יציאה</translation>
     </message>
     <message>
         <source>Chan %1: %2</source>
@@ -11355,39 +11365,40 @@
     <message>
         <source>All Tuners are Busy.
 Select a Current Recording</source>
-        <translation type="unfinished"></translation>
+        <translation>כל המקלטים בפעולה.
+בחר הקלטה נוכחית</translation>
     </message>
     <message>
         <source>MythTV wants to record &quot;%1&quot; on %2 in %d seconds. Do you want to:</source>
-        <translation type="unfinished"></translation>
+        <translation>התוכנה רוצה להקליט את &quot;%1&quot; בערוץ %2 תוך %d שניות. האם ברצונך:</translation>
     </message>
     <message>
         <source>Let them record and go back to the Main Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>הרשה להקליט וחזור לתפריט הראשי</translation>
     </message>
     <message>
         <source>Record it later, I want to watch TV</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלט אחר כך, אני רוצה לראות טלוויזיה</translation>
     </message>
     <message>
         <source>Record them later, I want to watch TV</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלט אותם אחר כך, אני רוצה לראות טלוויזיה</translation>
     </message>
     <message>
         <source>Don&apos;t let them record, I want to watch TV</source>
-        <translation type="unfinished"></translation>
+        <translation>אל תקליט, אני רוצה לראות טלוויזיה</translation>
     </message>
     <message>
         <source>End Of Recording</source>
-        <translation type="unfinished"></translation>
+        <translation>סוף הקלטה</translation>
     </message>
     <message>
         <source>Last Program: %1 Doesn&apos;t Exist</source>
-        <translation type="unfinished"></translation>
+        <translation>התוכנית האחרונה: %1 אינה קיימת</translation>
     </message>
     <message>
         <source>Delete this recording?</source>
-        <translation type="unfinished"></translation>
+        <translation>מחק הקלטה זו ?</translation>
     </message>
     <message>
         <source>You should have gotten a channel lock by now. You can continue to wait for a signal, or you can change the channels with %1 or %2, change video source (%3), inputs (%4), etc.</source>
@@ -11403,27 +11414,27 @@
     </message>
     <message>
         <source>Still Frame</source>
-        <translation type="unfinished"></translation>
+        <translation>תמונה קפואה</translation>
     </message>
     <message>
         <source>Title: %1 (%2)</source>
-        <translation type="unfinished"></translation>
+        <translation>כותרת: %1 (%2)</translation>
     </message>
     <message>
         <source>Chapter: %1/%2</source>
-        <translation type="unfinished"></translation>
+        <translation>פרק: %1/%2</translation>
     </message>
     <message>
         <source>Yes</source>
-        <translation type="unfinished">כן</translation>
+        <translation>כן</translation>
     </message>
     <message>
         <source>Adjust Fill</source>
-        <translation type="unfinished"></translation>
+        <translation>התאם מילוי</translation>
     </message>
     <message>
         <source>Switch Input</source>
-        <translation type="unfinished"></translation>
+        <translation>שנה כניסה</translation>
     </message>
     <message>
         <source>C</source>
@@ -11437,94 +11448,102 @@
     </message>
     <message>
         <source>Switch Source</source>
-        <translation type="unfinished"></translation>
+        <translation>שנה מקור</translation>
     </message>
     <message>
         <source>DVD Chapter Menu</source>
-        <translation type="unfinished"></translation>
+        <translation>תפריט פרקי DVD</translation>
     </message>
     <message>
         <source>Upcoming Recordings</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלטות הבאות</translation>
     </message>
     <message>
         <source>Screen Shot</source>
-        <translation type="unfinished"></translation>
+        <translation>תמונת מסך</translation>
     </message>
     <message>
         <source>Error</source>
-        <translation type="unfinished"></translation>
+        <translation>שגיאה</translation>
     </message>
     <message>
         <source>You are exiting %1</source>
-        <translation type="unfinished"></translation>
+        <translation>אתה יוצא מ%1</translation>
     </message>
     <message>
         <source>Exit %1</source>
-        <translation type="unfinished"></translation>
+        <translation>יציאה מ%1</translation>
     </message>
     <message>
         <source>&apos;%1&apos; Group Password:</source>
-        <translation type="unfinished"></translation>
+        <translation>סיסמה לקבוצה &apos;%1&apos;:</translation>
     </message>
     <message>
         <source>Password Failed</source>
-        <translation type="unfinished"></translation>
+        <translation>סיסמא שגויה</translation>
+    </message>
+    <message>
+        <source>MythTV is using all inputs for Live TV?</source>
+        <translation>התוכנה משתמשת בכל הכניסות לשידור חי ?</translation>
+    </message>
+    <message>
+        <source>MythTV has no capture cards defined. Please run the mythtv-setup program.</source>
+        <translation>אין לתוכנה כרטיסי דגימה מוגדרים. אנא הפעל את mythtv-setup.</translation>
     </message>
 </context>
 <context>
     <name>ThemeUI</name>
     <message>
         <source>Scheduled Recordings:</source>
-        <translation>Scheduled Recordings:</translation>
+        <translation>הקלטה מתוזמנת:</translation>
     </message>
     <message>
         <source>Showing:</source>
-        <translation>Showing:</translation>
+        <translation>מופע:</translation>
     </message>
     <message>
         <source>You Haven&apos;t Scheduled Any Programs To Be Recorded</source>
-        <translation type="unfinished"></translation>
+        <translation>לא תזמנת אף תוכנית להקלטה</translation>
     </message>
     <message>
         <source>To schedule a recording, exit this screen and</source>
-        <translation>To schedule a recording, exit this screen and</translation>
+        <translation>לתזמון הקלטה, צא ממסך זה ו</translation>
     </message>
     <message>
         <source>Select &apos;Program Guide&apos; or &apos;Program Finder&apos;</source>
-        <translation type="unfinished"></translation>
+        <translation>בחר ב &apos;לוח שידורים&apos; או &apos;חיפוש תוכניות&apos;</translation>
     </message>
     <message>
         <source>Preview Schedule Changes:</source>
-        <translation>Preview Schedule Changes:</translation>
+        <translation>צפה בשינויי תזמון:</translation>
     </message>
     <message>
         <source>The recording schedule would not be affected.</source>
-        <translation>The recording schedule would not be affected.</translation>
+        <translation>תזמון ההקלטות לא יושפע.</translation>
     </message>
     <message>
         <source>Channel Recording Priorities</source>
-        <translation type="unfinished"></translation>
+        <translation>עדיפות הקלטה לערוץ</translation>
     </message>
     <message>
         <source>Source:</source>
-        <translation>Source:</translation>
+        <translation>מקור:</translation>
     </message>
     <message>
         <source>Priority:</source>
-        <translation>Priority:</translation>
+        <translation>עדיפות:</translation>
     </message>
     <message>
         <source>Program Recording Priorities</source>
-        <translation type="unfinished"></translation>
+        <translation>עדיפויות הקלטת תוכניות</translation>
     </message>
     <message>
         <source>Priority</source>
-        <translation>Priority</translation>
+        <translation>עדיפות</translation>
     </message>
     <message>
         <source>Final Priority</source>
-        <translation>Final Priority</translation>
+        <translation>עדיפות סופית</translation>
     </message>
     <message>
         <source>(1) Sort by Title    (2) Sort by Priority    (4) Sort by Type</source>
@@ -11532,7 +11551,7 @@
     </message>
     <message>
         <source>Record Type:</source>
-        <translation>Record Type:</translation>
+        <translation>סוג הקלטה:</translation>
     </message>
     <message>
         <source>Channel:</source>
@@ -11568,7 +11587,7 @@
     </message>
     <message>
         <source>Select &apos;Schedule a Recording&apos; from the Main Menu</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
         <source>(4) Program Guide   **(6) Program Finder **</source>
